DirEntry (JFtp)
Date: 2016-03-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.gui.base.dir
Class DirEntry

    java.lang.Object
      net.sf.jftp.gui.base.dir.DirEntry

    public class DirEntry

extends java.lang.Object

Field Summary
`java.util.Date` | `date`
`static int` | `DENIED`
`java.lang.String` | `file`
`boolean` | `isFile`
`static int` | `R`
`boolean` | `selected`
`static int` | `W`
`java.awt.event.ActionListener` | `who`

Constructor Summary
`DirEntry(java.lang.String file, java.awt.event.ActionListener who)`

Method Summary
`java.lang.String` | `getDate()`
`java.lang.String` | `getFileSize()`
`java.awt.Image` | `getImage()`
`javax.swing.ImageIcon` | `getImageIcon()`
`boolean` | `getNoRender()`
`int` | `getPermission()`
`long` | `getRawSize()`
`long` | `getTransferred()`
`boolean` | `isDirectory()`
`boolean` | `isFile()`
`boolean` | `isLink()`
`boolean` | `isSelected()`
`void` | `setDate(java.util.Date d)`
`void` | `setDirectory()`
`void` | `setFile()`
`void` | `setFileSize(long s)`
`void` | `setLink()`
`void` | `setNoRender()`
`void` | `setPermission(int what)`
`void` | `setSelected(boolean state)`
`void` | `setTransferred(long transferred)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### R

    public static final int R

See Also:
  Constant Field Values

### W

    public static final int W

See Also:
  Constant Field Values

### DENIED

    public static final int DENIED

See Also:
  Constant Field Values

### file

    public java.lang.String file

### selected

    public boolean selected

### who

    public java.awt.event.ActionListener who

### isFile

    public boolean isFile

### date

    public java.util.Date date

Constructor Detail

### DirEntry

    public DirEntry(java.lang.String file,
                    java.awt.event.ActionListener who)

Method Detail

### setFile

    public void setFile()

### setDirectory

    public void setDirectory()

### setNoRender

    public void setNoRender()

### getNoRender

    public boolean getNoRender()

### setPermission

    public void setPermission(int what)

### getPermission

    public int getPermission()

### setSelected

    public void setSelected(boolean state)

### isDirectory

    public boolean isDirectory()

### isFile

    public boolean isFile()

### isSelected

    public boolean isSelected()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getImage

    public java.awt.Image getImage()

### getImageIcon

    public javax.swing.ImageIcon getImageIcon()

### setDate

    public void setDate(java.util.Date d)

### getDate

    public java.lang.String getDate()

### setFileSize

    public void setFileSize(long s)

### getFileSize

    public java.lang.String getFileSize()

### getRawSize

    public long getRawSize()

### setLink

    public void setLink()

### isLink

    public boolean isLink()

### getTransferred

    public long getTransferred()

### setTransferred

    public void setTransferred(long transferred)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD